	// ===============================================================
	// Global Var
	// ===============================================================
	
	// Edit Handler
	// _______________________________________________________________________
	var EDIT_HANDLER = function(){};	
	EDIT_HANDLER.REF_IS_MODIFIED = false;
	EDIT_HANDLER.HAS_NEWLY_SAVED_DATA = false;
	var PROPERTY_PARENT_ID = 0;
	var PROPERTY_PARENT_DESCRIPTION = "";
	
	// Buttons [Optional]
	// _______________________________________________________________________
	var ADD_BBI = null;
	var SAVE_BBI = null;
	
	// Dialog Controls [Optional]
	// _______________________________________________________________________
	var AACC_APK_CODE_TXT  = null;
	var ACC_APK_SERIAL_TXT  = null;
	

	// ===============================================================
	// Initialize Controls
	// ===============================================================     
	function FORM_INITIALIZE()
	{
		// Initialize: Ribbon Buttons [Save Changes]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SAVE_BBI"))
		{
    		SAVE_BBI = JSOC_ELEMENT.VAR_GET("SAVE_BBI");     
			if(JSVC_VAR.VAR_ISSET(HTTP_SAVE))
			{
				// Prepare Save callback
				var CALLBACK_HANDLER = 
					function(IS_SUCCESS)
					{
						// Abort on failure
						if(IS_SUCCESS == false)
						{
							return;
						}
					
						// Show record saved messageBox
						JSVC_INFO.VAR_RECORD_SAVED('');
					};
				
				// Add OnClick event
				SAVE_BBI.onclick = 
					function()
					{
						HTTP_SAVE(CALLBACK_HANDLER);
					};
			}
		}

		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_APK_CODE_TXT"))
		{
			ACC_APK_CODE_TXT = JSOC_ELEMENT.VAR_GET("ACC_APK_CODE_TXT");
			ACC_APK_CODE_TXT.onkeydown = function() 
			{ 
				return function(e) 
				{
					if
					(
						(
							e.which == 13 || 
							e.keyCode == 13 || 
							e.key === "Enter"
						) &&
						JSVC_VAR.VAR_ISSET(SAVE_BBI)
					)
					{
						SAVE_BBI.onclick();
					}
				};
			}();
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ACC_APK_SERIAL_TXT"))
		{
			ACC_APK_SERIAL_TXT = JSOC_ELEMENT.VAR_GET("ACC_APK_SERIAL_TXT");
			ACC_APK_SERIAL_TXT.onkeydown = function() 
			{ 
				return function(e) 
				{
					if
					(
						(
							e.which == 13 || 
							e.keyCode == 13 || 
							e.key === "Enter"
						) &&
						JSVC_VAR.VAR_ISSET(SAVE_BBI)
					)
					{
						SAVE_BBI.onclick();
					}
				};
			}();
		}

		
		// Initialize: Default Settings
		// ...........................................
		// FORM_PREPARE_DEFAULT_SETTINGS();   	
	};